## fcitx5-gtk 5.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(fcitx5-gtk VERSION 5.0.17)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(FindPkgConfig)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

option(ENABLE_GIR "GObject Introspection" ON)
option(ENABLE_GTK2_IM_MODULE "Enable GTK2 IM Module" ON)
option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" ON)
option(ENABLE_GTK4_IM_MODULE "Enable GTK4 IM Module" ON)
option(ENABLE_SNOOPER "Enable Key Snooper for gtk app" ON)
option(BUILD_ONLY_PLUGIN "Build only IM Module" OFF)

set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
    CACHE STRING "Disable Key Snooper for following app by default.")
set(NO_PREEDIT_APPS "gvim.*" CACHE STRING "Disable preedit for follwing app by default.")
set(SYNC_MODE_APPS "firefox.*" CACHE STRING "Use sync mode for following app by default.")

configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h")
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
find_package(PkgConfig)
find_package(XKBCommon)
pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET "glib-2.0>=2.56")
pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")
pkg_check_modules(GioUnix2 REQUIRED IMPORTED_TARGET "gio-unix-2.0")
pkg_check_modules(GObject2 REQUIRED IMPORTED_TARGET "gobject-2.0")
add_subdirectory(fcitx-gclient)

set(CMAKE_C_VISIBILITY_PRESET default)

include(cmake/CompilerSettings.cmake)

if (BUILD_ONLY_PLUGIN)
    set(GCLIENT_LIBRARY_TYPE STATIC)
else()
    set(GCLIENT_LIBRARY_TYPE SHARED)
endif()

set(NEED_X11 FALSE)
if (ENABLE_GTK2_IM_MODULE)
    pkg_check_modules(Gtk2 REQUIRED IMPORTED_TARGET "gtk+-2.0")
    pkg_check_modules(Gdk2 REQUIRED IMPORTED_TARGET "gdk-2.0")
    pkg_check_modules(Gdk2X11 REQUIRED IMPORTED_TARGET "gdk-x11-2.0")
    pkg_get_variable(GTK2_BINARY_VERSION "gtk+-2.0" "gtk_binary_version")
    set(NEED_X11 TRUE)
endif()

if (ENABLE_GTK3_IM_MODULE)
    pkg_check_modules(Gtk3 REQUIRED IMPORTED_TARGET "gtk+-3.0")
    pkg_check_modules(Gdk3 REQUIRED IMPORTED_TARGET "gdk-3.0")
    pkg_get_variable(GTK3_BINARY_VERSION "gtk+-3.0" "gtk_binary_version")
    pkg_get_variable(GTK3_TARGETS "gtk+-3.0" "targets")
    if (GTK3_TARGETS MATCHES "x11")
        set(NEED_X11 TRUE)
        pkg_check_modules(Gdk3X11 REQUIRED IMPORTED_TARGET "gdk-x11-3.0")
    endif()
endif()

if (ENABLE_GTK4_IM_MODULE)
    pkg_check_modules(Gtk4 REQUIRED IMPORTED_TARGET "gtk4>=4.2")
    pkg_get_variable(GTK4_BINARY_VERSION "gtk4" "gtk_binary_version")
    pkg_get_variable(GTK4_TARGETS "gtk4" "targets")
    if (GTK4_TARGETS MATCHES "x11")
        set(NEED_X11 TRUE)
        pkg_check_modules(Gtk4X11 REQUIRED IMPORTED_TARGET "gtk4-x11")
    endif()
endif()

if (NEED_X11)
    find_package(X11 REQUIRED)
    add_library(X11Import UNKNOWN IMPORTED)
    set_target_properties(X11Import PROPERTIES
        IMPORTED_LOCATION "${X11_X11_LIB}"
        INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")
endif()

if (ENABLE_GTK2_IM_MODULE)
add_subdirectory(gtk2)
endif()

if (ENABLE_GTK3_IM_MODULE)
add_subdirectory(gtk3)
endif()

if (ENABLE_GTK4_IM_MODULE)
add_subdirectory(gtk4)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-gtk (5.0.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override. (Closes: #1001867)
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Backport upstream commits to fix FTBFS.
  * debian/libfcitx5gclient2.symbols: Update symbols to hide
    private symbols accordingly.

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 17:10:57 -0400

fcitx5-gtk (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 21:55:47 -0400

fcitx5-gtk (5.0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/libfcitx5gclient2.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jun 2022 16:38:06 -0400

fcitx5-gtk (5.0.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop cherry-picked patch.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 22:27:04 -0400

fcitx5-gtk (5.0.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Cherry-pick compatibility patch with older glib.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 09:17:40 -0400

## fcitx5-gtk 5.0.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.0.17)
+project(fcitx5-gtk VERSION 5.0.19)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -31,7 +31,6 @@
 pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")
 pkg_check_modules(GioUnix2 REQUIRED IMPORTED_TARGET "gio-unix-2.0")
 pkg_check_modules(GObject2 REQUIRED IMPORTED_TARGET "gobject-2.0")
-add_subdirectory(fcitx-gclient)
 
 set(CMAKE_C_VISIBILITY_PRESET default)
 
@@ -42,6 +41,8 @@
 else()
     set(GCLIENT_LIBRARY_TYPE SHARED)
 endif()
+
+add_subdirectory(fcitx-gclient)
 
 set(NEED_X11 FALSE)
 if (ENABLE_GTK2_IM_MODULE)

## fcitx5-gtk 5.0.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.0.19)
+project(fcitx5-gtk VERSION 5.0.21)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== gtk3/CMakeLists.txt ===
set(FCITX_GTK3_IM_MODULE_SOURCES
  fcitxim.c
  fcitximcontext.cpp
  fcitxtheme.cpp
  utils.cpp
  inputwindow.cpp
  gtk3inputwindow.cpp
  )

if (NOT DEFINED GTK3_IM_MODULEDIR)
    set(GTK3_IM_MODULEDIR "${CMAKE_INSTALL_LIBDIR}/gtk-3.0/${GTK3_BINARY_VERSION}/immodules" CACHE PATH "Gtk3 im module directory")
endif()

add_library(im-fcitx5-gtk3 MODULE ${FCITX_GTK3_IM_MODULE_SOURCES})
set_target_properties(im-fcitx5-gtk3 PROPERTIES PREFIX "" OUTPUT_NAME "im-fcitx5"
  COMPILE_FLAGS "-fno-exceptions")

target_link_libraries(im-fcitx5-gtk3 Fcitx5::GClient XKBCommon::XKBCommon PkgConfig::Gtk3 PkgConfig::GioUnix2)
if (TARGET PkgConfig::Gdk3X11)
target_link_libraries(im-fcitx5-gtk3 PkgConfig::Gdk3X11 X11Import)
endif()

install(TARGETS im-fcitx5-gtk3 DESTINATION "${GTK3_IM_MODULEDIR}")

=== gtk4/CMakeLists.txt ===
set(FCITX_GTK4_IM_MODULE_SOURCES
  fcitxim.c
  fcitximcontext.cpp
  fcitximcontext5.cpp
  inputwindow.cpp
  gtk4inputwindow.cpp
  fcitxtheme.cpp
  utils.cpp
  )

if (NOT DEFINED GTK4_IM_MODULEDIR)
    set(GTK4_IM_MODULEDIR "${CMAKE_INSTALL_LIBDIR}/gtk-4.0/${GTK4_BINARY_VERSION}/immodules" CACHE PATH "Gtk4 im module directory")
endif()

add_library(im-fcitx5-gtk4 MODULE ${FCITX_GTK4_IM_MODULE_SOURCES})
set_target_properties(im-fcitx5-gtk4 PROPERTIES OUTPUT_NAME "im-fcitx5"
  COMPILE_FLAGS "-fno-exceptions")
target_link_libraries(im-fcitx5-gtk4 Fcitx5::GClient XKBCommon::XKBCommon PkgConfig::Gtk4 PkgConfig::GioUnix2)
if (TARGET PkgConfig::Gtk4X11)
    target_link_libraries(im-fcitx5-gtk4 PkgConfig::Gtk4X11 X11Import)
endif()
install(TARGETS im-fcitx5-gtk4 DESTINATION "${GTK4_IM_MODULEDIR}")

=== debian/changelog ===
fcitx5-gtk (5.0.21-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Nov 2022 15:41:10 -0500

fcitx5-gtk (5.0.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 12:30:37 -0500

fcitx5-gtk (5.0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Sep 2022 16:20:48 -0400

fcitx5-gtk (5.0.18-1) unstable; urgency=medium

  * New upstream release.
  * Switch to upstream tarball as upstream.
  * debian/patches: Drop old patches, not needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Sep 2022 13:22:45 -0400

=== debian/control ===
Source: fcitx5-gtk
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6.0),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gobject-introspection,
 libbrotli-dev,
 libfmt-dev,
 libgirepository1.0-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libgtk2.0-dev,
 libx11-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/fcitx/fcitx5-gtk
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk

Package: fcitx5-frontend-gtk2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK2 IM Module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the im module of fcitx5. Users of GTK2-based
 applications are highly recommended to have this package installed
 for better input method support.

Package: fcitx5-frontend-gtk3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK3 IM Module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the im module of fcitx5. Users of GTK3-based
 applications are highly recommended to have this package installed
 for better input method support.

Package: fcitx5-frontend-gtk4
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK4 IM Module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the im module of fcitx5. Users of GTK4-based
 applications are highly recommended to have this package installed
 for better input method support.

Package: gir1.2-fcitxg-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package contains introspection data for Fcitx5.
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libfcitx5gclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-fcitxg-1.0 (= ${binary:Version}),
 ${misc:Depends},
Description: GLib-based D-Bus client library for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for GLib-based D-Bus client
 library of fcitx5.

Package: libfcitx5gclient2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GLib-based D-Bus client library for fcitx5 (library)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the GLib-based D-Bus client library of fcitx5.

## fcitx5-gtk 5.0.23

=== debian/changelog ===
fcitx5-gtk (5.0.23-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 10:07:50 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libxkbcommon-x11-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk

## fcitx5-gtk 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.0.21)
+project(fcitx5-gtk VERSION 5.1.0)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-gtk (5.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:04:20 -0400

fcitx5-gtk (5.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/install: Install /usr/bin/fcitx5-gtk*-immodule-probing.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Aug 2023 22:39:11 -0400

fcitx5-gtk (5.0.23-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Jun 2023 20:31:35 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6.0),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gobject-introspection,
@@ -27,7 +27,6 @@
 
 Package: fcitx5-frontend-gtk2
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -49,7 +48,6 @@
 
 Package: fcitx5-frontend-gtk3
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -71,7 +69,6 @@
 
 Package: fcitx5-frontend-gtk4
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## fcitx5-gtk 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.1.0)
+project(fcitx5-gtk VERSION 5.1.1)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-gtk (5.1.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:34:54 +0000

fcitx5-gtk (5.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:19:40 +0000

fcitx5-gtk (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jan 2024 23:05:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-gtk
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

## fcitx5-gtk 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.1.1)
+project(fcitx5-gtk VERSION 5.1.3)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-gtk (5.1.3-3) unstable; urgency=medium

  * Manually trigger rebuild for Debian 13 release again.
    Hopefully this could solve the incompatibility issue with GLib version.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Apr 2025 10:35:44 -0400

fcitx5-gtk (5.1.3-2) unstable; urgency=medium

  * Manually trigger rebuild for Debian 13 release.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Use pkgconf instead of pkg-config.
  * debian/control:
    + Add missing build-dep gir1.2-gio-2.0-dev, gir1.2-gobject-2.0-dev.
    + Mark these build-deps as <!nogir>.
    + Add missing substvar gir:Provides, gir:Depends to binary packages.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Mar 2025 15:34:58 -0400

fcitx5-gtk (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Use build-dependency dh-sequence-gir.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 19:58:09 -0400

fcitx5-gtk (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:02:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fcitx5-gtk
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  cmake,
- debhelper-compat (= 13),
  extra-cmake-modules,
- gobject-introspection,
+ gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-gobject-2.0-dev <!nogir>,
  libbrotli-dev,
  libfmt-dev,
  libgirepository1.0-dev,
@@ -19,9 +20,9 @@
  libx11-dev,
  libxkbcommon-dev,
  libxkbcommon-x11-dev,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
@@ -96,7 +97,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Description: GObject introspection data for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -119,7 +119,10 @@
 Multi-Arch: same
 Depends:
  gir1.2-fcitxg-1.0 (= ${binary:Version}),
+ ${gir:Depends},
  ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: GLib-based D-Bus client library for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-gtk/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## fcitx5-gtk 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.1.3)
+project(fcitx5-gtk VERSION 5.1.4)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== fcitx-gclient/CMakeLists.txt ===
set(FCITX_GCLIENT_SOURCES
  fcitxgwatcher.c
  fcitxgclient.c
  )

set(FCITX_GCLIENT_BUILT_SOURCES
  ${CMAKE_CURRENT_BINARY_DIR}/marshall.c
  )

set(FCITX_GCLIENT_HEADERS
  fcitxgclient.h
  fcitxgwatcher.h
  )

set(FCITX_GCLIENT_BUILT_HEADERS
  ${CMAKE_CURRENT_BINARY_DIR}/marshall.h
  )

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX Fcitx5GClient
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5GClientConfigVersion.cmake"
                  SOVERSION 2)

pkg_get_variable(GLIB2_GLIB_GENMARSHAL "glib-2.0" "glib_genmarshal")
find_program(GLIB_GENMARSHAL ${GLIB2_GLIB_GENMARSHAL})

add_custom_command(OUTPUT marshall.c
  COMMAND ${GLIB_GENMARSHAL} --body --prefix=fcitx_marshall --internal --include-header=marshall.h
  ${PROJECT_SOURCE_DIR}/gtk-common/marshall.list > marshall.c
  DEPENDS ${PROJECT_SOURCE_DIR}/gtk-common/marshall.list)
add_custom_command(OUTPUT marshall.h
  COMMAND ${GLIB_GENMARSHAL} --header --prefix=fcitx_marshall --internal
  ${PROJECT_SOURCE_DIR}/gtk-common/marshall.list > marshall.h
  DEPENDS ${PROJECT_SOURCE_DIR}/gtk-common/marshall.list)

add_library(Fcitx5GClient ${GCLIENT_LIBRARY_TYPE} ${FCITX_GCLIENT_SOURCES}
  ${FCITX_GCLIENT_BUILT_SOURCES} ${FCITX_GCLIENT_BUILT_HEADERS})
set_target_properties(Fcitx5GClient
  PROPERTIES VERSION ${Fcitx5GClient_VERSION}
  SOVERSION ${Fcitx5GClient_SOVERSION}
  EXPORT_NAME GClient
  C_VISIBILITY_PRESET default
  POSITION_INDEPENDENT_CODE ON
  )
target_include_directories(Fcitx5GClient
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_FULL_INCLUDEDIR}>/Fcitx5/GClient"
    INTERFACE
        "${Gio2_INCLUDE_DIRS}"
        "${GObject2_INCLUDE_DIRS}"
)
target_link_libraries(Fcitx5GClient LINK_PRIVATE PkgConfig::Gio2 PkgConfig::GLib2 PkgConfig::GObject2)

add_library(Fcitx5::GClient ALIAS Fcitx5GClient)

if (NOT BUILD_ONLY_PLUGIN)
  configure_file(Fcitx5GClient.pc.in ${CMAKE_CURRENT_BINARY_DIR}/Fcitx5GClient.pc @ONLY)

  install(TARGETS Fcitx5GClient EXPORT Fcitx5GClientTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Fcitx5GClient.pc
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
  install(FILES ${FCITX_GCLIENT_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5/GClient/fcitx-gclient")


  configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5GClientConfig.cmake.in"
                                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5GClientConfig.cmake"
                                INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5GClient
  )

  install(EXPORT Fcitx5GClientTargets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5GClient FILE Fcitx5GClientTargets.cmake NAMESPACE Fcitx5::)

  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5GClientConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5GClientConfigVersion.cmake"
          DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5GClient
          COMPONENT Devel )

  if(ENABLE_GIR)
    include(GObjectIntrospection)
    gobject_introspection(
      FILENAME FcitxG-1.0.gir
      NSVERSION 1.0
      INCLUDE Gio-2.0 GObject-2.0 GLib-2.0
      PACKAGE_EXPORT Fcitx5GClient
      LIBRARY Fcitx5GClient
      NAMESPACE FcitxG
      SCANNER_ARGS --warn-all --add-include-path=${CMAKE_CURRENT_SOURCE_DIR}
      COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}"
      SYMBOL_PREFIXES fcitx_g
      SOURCES ${FCITX_GCLIENT_SOURCES} ${FCITX_GCLIENT_HEADERS}
      QUIET
      )
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/FcitxG-1.0.gir"
      DESTINATION "${GOBJECT_INTROSPECTION_GIRDIR}")
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/FcitxG-1.0.typelib"
      DESTINATION "${GOBJECT_INTROSPECTION_TYPELIBDIR}")
  endif()

endif()

=== gtk2/CMakeLists.txt ===
set(FCITX_GTK2_IM_MODULE_SOURCES
  fcitxim.c
  fcitximcontext.cpp
  )

if (NOT DEFINED GTK2_IM_MODULEDIR)
    set(GTK2_IM_MODULEDIR "${CMAKE_INSTALL_LIBDIR}/gtk-2.0/${GTK2_BINARY_VERSION}/immodules" CACHE PATH "Gtk2 im module directory")
endif()

add_library(im-fcitx5 MODULE ${FCITX_GTK2_IM_MODULE_SOURCES})
set_target_properties( im-fcitx5 PROPERTIES PREFIX ""
  COMPILE_FLAGS "-fno-exceptions")
target_link_libraries(im-fcitx5 Fcitx5::GClient XKBCommon::XKBCommon PkgConfig::Gtk2 PkgConfig::Gdk2 PkgConfig::Gdk2X11 X11Import)
install(TARGETS im-fcitx5 DESTINATION "${GTK2_IM_MODULEDIR}")


if (NOT BUILD_ONLY_PLUGIN)
    add_executable(fcitx5-gtk2-immodule-probing immodule-probing.cpp)
    target_link_libraries(fcitx5-gtk2-immodule-probing PkgConfig::Gtk2)
    install(TARGETS fcitx5-gtk2-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

=== gtk3/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,10 @@
 endif()
 
 install(TARGETS im-fcitx5-gtk3 DESTINATION "${GTK3_IM_MODULEDIR}")
+
+
+if (NOT BUILD_ONLY_PLUGIN)
+    add_executable(fcitx5-gtk3-immodule-probing immodule-probing.cpp)
+    target_link_libraries(fcitx5-gtk3-immodule-probing PkgConfig::Gtk3)
+    install(TARGETS fcitx5-gtk3-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")
+endif()

=== gtk4/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,9 @@
     target_link_libraries(im-fcitx5-gtk4 PkgConfig::Gtk4X11 X11Import)
 endif()
 install(TARGETS im-fcitx5-gtk4 DESTINATION "${GTK4_IM_MODULEDIR}")
+
+if (NOT BUILD_ONLY_PLUGIN)
+    add_executable(fcitx5-gtk4-immodule-probing immodule-probing.cpp)
+    target_link_libraries(fcitx5-gtk4-immodule-probing PkgConfig::Gtk4)
+    install(TARGETS fcitx5-gtk4-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")
+endif()

=== debian/changelog ===
fcitx5-gtk (5.1.4-3) unstable; urgency=medium

  * debian/copyright: Refresh copyright information.
  * Rebuild package against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 09:16:16 -0400

fcitx5-gtk (5.1.4-2) unstable; urgency=medium

  * debian/control: Migrate away from libgirepository1.0-dev usage.
  * debian/control: Use Provides: ${gir:Provides}.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 17:26:24 -0400

fcitx5-gtk (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 16:59:51 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
  cmake,
  extra-cmake-modules,
  gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-glib-2.0-dev <!nogir>,
  gir1.2-gobject-2.0-dev <!nogir>,
+ gobject-introspection (>= 1.80) <!nogir>,
  libbrotli-dev,
  libfmt-dev,
- libgirepository1.0-dev,
+ libglib2.0-dev,
  libgtk-3-dev,
  libgtk-4-dev,
  libgtk2.0-dev,
@@ -97,6 +99,8 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: GObject introspection data for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

## fcitx5-gtk 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.1.4)
+project(fcitx5-gtk VERSION 5.1.5)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-gtk (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:31:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fcitx5-gtk
 Section: utils
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -23,8 +22,7 @@
  libxkbcommon-dev,
  libxkbcommon-x11-dev,
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
